* {
    margin: 0;
    padding: 0;
}

html {
    height: 100%;
    min-height: 806px;
}

body {
    background: linear-gradient(30deg, #ff9a86, #fee1c8, #c8d9ef);
}

main {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    vertical-align: middle;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}

form {
    height: 100%;
    width: 400px;
    margin: 40px 0;
    background-color: white;
    padding: 20px 50px;
    font-family: Finlandica, sans-serif;
    color: #111618;
    border-radius: 40px;
}

h1 {
    cursor: default;
    font-size: 40px;
    margin: 0 0 20px 0;
    text-align: center;
}

h2 {
    cursor: default;
    margin-top: 6px;
    font-size: 18px;
    font-weight: 400;
}

p {
    cursor: default;
}
.description {
    margin-top: 10px;
    width: 100%;
    display: flex;
    justify-content: space-between;
}
.description p {
    margin-top: 0;
    font-weight: normal;
    width: 70%;
}

a {
    font-size: 18px;
    background-color: #ff922d;
    width: 30%;
    height: 20px;
    border: none;
    border-radius: 5px;
    text-align: center;
    text-decoration: none;
    color: white;
    transition: 0.2s;
    cursor: pointer;
}
a:hover {
    background-color: #ff7500;
}

.inputGroup {
    margin: 15px 0;
    width: 93.68%;
    position: relative;
}
.inputGroup input {
    font-size: 18px;
    padding: 12px 3% 8px 3%;
    outline: none;
    border: 2px solid rgb(150, 150, 150);
    background-color: white;
    border-radius: 10px;
    width: 100%;
}
.inputGroup label {
    font-size: 18px;
    position: absolute;
    left: 0;
    top: 0;
    padding: 10px 0;
    margin-left: 18px;
    pointer-events: none;
    transition: all 0.2s ease;
    color: rgb(100, 100, 100);
    border: 2px solid rgb(150, 150, 150, 0);
}
.inputGroup input.filled ~ label,
.inputGroup :is(input:focus, input:valid) ~ label {
    transform: translateY(-45%) scale(.9);
    padding: 0 4px;
    margin-left: 20px;
    background-color: white;
    border-radius: 1vw;
    color: #111618;
}
.inputGroup :is(input:focus, input:valid) {
    border-color: #111618;
}
.inputGroup input.invalid {
    border-color: #F3442A;
}

.gender_input {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    margin-top: 3px;
    border: 2px solid rgb(150, 150, 150);
    border-radius: 10px;
    background-color: transparent;
    box-sizing: border-box;
    width: 100%;
    font-size: 18px;
}
.gender_input .radio {
    flex: 1 1 auto;
    text-align: center;
}
.gender_input .radio input {
    display: none;
}
.gender_input .radio .gender_label {
    display: flex;
    cursor: pointer;
    align-items: center;
    justify-content: center;
    border-radius: 8px;
    border: none;
    padding: 3px 0;
    transition: all 0.2s ease-in-out;
}
.gender_input .radio input:checked + .gender_label {
    background-color: rgb(150, 150, 150);
}


.input_date {
    text-indent: 0.6vh;
    border: 2px solid rgb(150, 150, 150);
    border-radius: 10px;
    outline: none;
    font-size: 18px;
    margin: 3px 0.66%;
    text-align: center;
    width: 32%;
    height: 28px;
}

.input_date:focus {
    border: 2px solid #111618;
}


select {
    height: 3.4vh;
    width: 100%;
    overflow: hidden;
}

.form_error {
    margin: 5px 0 15px 20px;
    color: #F3442A;
    font-size: 1.8vh;
}

.button_box {
    display: flex;
    justify-content: center;
    margin-top: 30px;
}

button {
    padding: 8px 40px;
    width: 70%;
    font-size: 30px;
    font-weight: 500;
    text-align: center;
    color: white;
    background-color: #111618;
    border: none;
    border-radius: 10px;
    box-shadow: 0 4px 10px #7e7e7e;
    transition: all 0.2s ease 0s;
    cursor: pointer;
    outline: none;
}

button:hover {
    background-color: #09C160;
    box-shadow: 0 8px 20px #0a8645;
    transform: translateY(-5px);
}

button:active {
    background-color: #0a8645;
}

.form-group p {
    font-size: 18px;
    text-align: center;
}

.email_verify {
    width: 100%;
    border: 2px solid rgb(150, 150, 150);
    border-radius: 10px;
    margin-top: 10px;
    height: 50px;
    font-size: 50px;
    text-align: center;
}

@media(max-width: 500px) {
    form {
        padding: 20px 20px;
    }
}

@media(max-width: 445px) {
    form {
        border-radius: 0;
    }

    button {
    padding: 8px 0;
    width: 70%;
    }
}